package com.prolog.cs.biz.inbound.dto.rqc;

import com.prolog.cs.basic.warehouse.constant.ValidatorGroup.validAdd;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * @Description null 
 * @Author Xiong  
 * @Date 2021-12-24 
 */

@ApiModel
public class WmsInRqcStRuleDTO  implements Serializable {
	private static final long serialVersionUID =  979018930205529075L;
	@ApiModelProperty(value = "质检规则主键id") 
	@NotBlank(message = "质检规则主键id can not blank!",groups = validAdd.class) 
	private String ruleId;
	
	@ApiModelProperty(value = "质检规则名称(新增必填)")
	@NotBlank(message = "质检规则名称不可为空!", groups = validAdd.class)
	private String ruleName;

	@ApiModelProperty(value = "质检策略id(新增必填,条件必填)",required = true) 
	@NotBlank(message = "质检策略id can not blank!",groups = validAdd.class) 
	private String rqcStId;

	@ApiModelProperty(value = "查询条件表达式") 
	private String searchRegexp;

	@ApiModelProperty(value = "匹配表达式") 
	private String matchRegexp;

	@ApiModelProperty(value = "规则排序") 
	private Integer sortIndex;

	@ApiModelProperty(value = "规则说明") 
	private String regexpDes;

	@ApiModelProperty(value = "备注") 
	private String remark;

	@ApiModelProperty(value = "状态(0否1是)") 
	private String status;

	@ApiModelProperty(value = "备用字段1") 
	private String attribute1;

	@ApiModelProperty(value = "备用字段2") 
	private String attribute2;

	@ApiModelProperty(value = "备用字段3") 
	private String attribute3;

	

	public String getRuleName() {
		return ruleName;
	}

	public void setRuleName(String ruleName) {
		this.ruleName = ruleName;
	}

	public String getRuleId() {
		return this.ruleId;
	}

	public void setRuleId(String ruleId) {
		this.ruleId = ruleId;
	}

	public String getRqcStId() {
		return this.rqcStId;
	}

	public void setRqcStId(String rqcStId) {
		this.rqcStId = rqcStId;
	}

	public String getSearchRegexp() {
		return this.searchRegexp;
	}

	public void setSearchRegexp(String searchRegexp) {
		this.searchRegexp = searchRegexp;
	}

	public String getMatchRegexp() {
		return this.matchRegexp;
	}

	public void setMatchRegexp(String matchRegexp) {
		this.matchRegexp = matchRegexp;
	}

	public Integer getSortIndex() {
		return this.sortIndex;
	}

	public void setSortIndex(Integer sortIndex) {
		this.sortIndex = sortIndex;
	}

	public String getRegexpDes() {
		return this.regexpDes;
	}

	public void setRegexpDes(String regexpDes) {
		this.regexpDes = regexpDes;
	}

	public String getRemark() {
		return this.remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getStatus() {
		return this.status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getAttribute1() {
		return this.attribute1;
	}

	public void setAttribute1(String attribute1) {
		this.attribute1 = attribute1;
	}

	public String getAttribute2() {
		return this.attribute2;
	}

	public void setAttribute2(String attribute2) {
		this.attribute2 = attribute2;
	}

	public String getAttribute3() {
		return this.attribute3;
	}

	public void setAttribute3(String attribute3) {
		this.attribute3 = attribute3;
	}

}
